Bug 52993 - ftstring, ftstrtto, fttimer, ftview I ftzoom are missed from freetype-utilspackage
Summary: ftstring, ftstrtto, fttimer, ftview I ftzoom are missed from freetype-utilspa...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: freetype   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-01 08:38 UTC by Leonid Kanter
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-22 13:12:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This patch may be applied, ans spec should be fixed. (504 bytes, patch)
2001-09-01 08:42 UTC, Leonid Kanter
no flags Details | Diff

Description Leonid Kanter 2001-09-01 08:38:05 UTC
Description of Problem:


ftstring, ftstrtto, fttimer, ftview I ftzoom are missed from freetype-utils
package. But ftview is needed by  /usr/bin/ttfinst.tk from ttfm package.

[leon@p504 leon]$ /usr/bin/ttfinst.tk
bgerror failed to handle background error.
    Original error: couldn't execute "ftview": no such file or directory


Version-Release number of selected component (if applicable):

freetype-2.0.3-7
ttfm-0.9.1-8

Comment 1 Leonid Kanter 2001-09-01 08:42:13 UTC
Created attachment 30497 [details]
This patch may be applied, ans spec should be fixed.

Comment 2 Mike A. Harris 2001-09-22 12:03:23 UTC
I'm wondering why your patch is for 2.0.1 when 2.0.3 is what is in
RC2?  Are you using an older freetype?

Comment 3 Leonid Kanter 2001-09-22 12:30:38 UTC
Yes, patch was created for 2.0.1 long time ago, but it may be applied to 2.0.3
without pain.

Comment 4 Mike A. Harris 2001-09-22 13:12:45 UTC
I have looked into this more deeply, and the patch that you are proposing
is for Freetype pre1.4, not for Freetype 2 at all.

What appears you are wanting, are the freetype "demos" programs.  Those
do not ship currently with Red Hat Linux, however I have planned on adding
the demos, and have included them in the src.rpm even though they do not
currently build in it.  I will add a new subpackage "freetype-demos" which
contains these executables in the freetype 2.0.4 release.

Comment 5 Mike A. Harris 2001-09-23 10:46:48 UTC
The freetype-2.0.4-2 package now contains a "freetype-demos" subpackage
which contains these programs.  It has been added internally to rawhide.


Note You need to log in before you can comment on or make changes to this bug.